function [scan] = mergeScans(scan1, scan2, dx, dy, ic, rot)

m = 1010;
n = 800;
pocz1 = max(1-dx,1);
pocz2 = max(1,dx);
kon1 = min(n,n-dx+1);
kon2 = min(n+dx,n);

%% TODO: rotation!!!
%fundus2 = imrotate(fundus2, rot, 'bilinear', 'crop');

HighResScan = uint8(zeros(size(scan1,1)+size(scan2,1)+abs(dy)*2, m, n));

if ic < 0
    dy = dy - 1;
end

%% TODO: Korelacja w osi pion!!!!

%%
if dy >= 0 % start from scan1
    for i=1:size(scan1,1)
        HighResScan(i*2 - 1, :,:) = scan1(i, :,:);
        HighResScan((i+dy)*2, :, pocz1:kon1) = scan2(i, :, pocz2:kon2);
    end
else % start from fundus2
    for i=1:size(scan1,1)
        HighResScan(i*2 - 1, :, pocz1:kon1) = scan2(i, :, pocz2:kon2);
        HighResScan((i-dy)*2, :,:) = scan1(i, :,:);
    end
end

difference = size(HighResScan,1) - (size(scan1,1)+size(scan2,1));
if  difference > 0
    scan = HighResScan(abs(dy)+1 : (end-abs(dy)), :,:);
else 
    scan = HighResScan;
end

fprintf('Scan ready\n');